VCSSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.veritas.cluster.VCSSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.veritas.cluster
Interface VCSSystem

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface VCSSystem

extends LogicalElement

VCS nodes host the service groups (managed applications). Each system is connected to networking hardware, and usually also to storage hardware. The systems contain components to provide resilient management of the applications, and start and stop agents. Nodes can be individual systems, or they can be created with domains or partitions on enterprise-class systems.

Naming Rules:
  0="cluster,systemName"
Persistable:
  true
Table Name:
  VCSSYSTEM
Display Name:
  cluster,systemName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getCapacity()` Value expressing total system load capacity.
`VCSCluster` | `getCluster()`
`ComputerSystem` | `getComputersystem()`
`int` | `getLicenseType()` Indicates the license type of the base VCS key used by the system.
`java.lang.String` | `getLimits()` An unordered set of name=value pairs denoting resources available on a system.
`VCSHADServer` | `getServer()`
`VCSLocalServiceGroup[]` | `getServiceGroups()`
`java.lang.String` | `getSystemInfo()` Provides platform-specific information, including the name, version, and release of the operating system, the name of the system on which it is running, and the hardware type.
`java.lang.String` | `getSystemLocation()` Indicates the location of the system.
`java.lang.String` | `getSystemName()` Indicates the system name.
`java.lang.String` | `getSystemOwner()` This attribute is used for VCS email notification and logging.
`int` | `getSystemState()` Indicates system states, such as RUNNING, FAULTED, EXITED, etc.
`boolean` | `hasCapacity()`
`boolean` | `hasCluster()`
`boolean` | `hasComputersystem()`
`boolean` | `hasLicenseType()`
`boolean` | `hasLimits()`
`boolean` | `hasServer()`
`boolean` | `hasServiceGroups()`
`boolean` | `hasSystemInfo()`
`boolean` | `hasSystemLocation()`
`boolean` | `hasSystemName()`
`boolean` | `hasSystemOwner()`
`boolean` | `hasSystemState()`
`void` | `setCapacity(int x)`
`void` | `setCluster(VCSCluster x)`
`void` | `setComputersystem(ComputerSystem x)`
`void` | `setLicenseType(int x)`
`void` | `setLimits(java.lang.String x)`
`void` | `setServer(VCSHADServer x)`
`void` | `setServiceGroups(VCSLocalServiceGroup[] x)`
`void` | `setSystemInfo(java.lang.String x)`
`void` | `setSystemLocation(java.lang.String x)`
`void` | `setSystemName(java.lang.String x)`
`void` | `setSystemOwner(java.lang.String x)`
`void` | `setSystemState(int x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getCluster

    VCSCluster getCluster()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setCluster

    void setCluster(VCSCluster x)

### hasCluster

    boolean hasCluster()

### getLimits

    java.lang.String getLimits()
                               throws AttributeNotSetException

  An unordered set of name=value pairs denoting resources available on a system. Names are by the administrator for any value. The format for Limits is: Limits = { Name=Value, Name2=Value2}.

  Throws:
    `AttributeNotSetException`

### setLimits

    void setLimits(java.lang.String x)

### hasLimits

    boolean hasLimits()

### getSystemOwner

    java.lang.String getSystemOwner()
                                    throws AttributeNotSetException

  This attribute is used for VCS email notification and logging. VCS sends email notification to the person designated in this attribute when an event occurs related to the system. VCS also logs the owner name when an event occurs

  Throws:
    `AttributeNotSetException`

### setSystemOwner

    void setSystemOwner(java.lang.String x)

### hasSystemOwner

    boolean hasSystemOwner()

### getComputersystem

    ComputerSystem getComputersystem()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AssignedTo" reverse="false"

### setComputersystem

    void setComputersystem(ComputerSystem x)

### hasComputersystem

    boolean hasComputersystem()

### getSystemName

    java.lang.String getSystemName()
                                   throws AttributeNotSetException

  Indicates the system name.

  Throws:
    `AttributeNotSetException`

### setSystemName

    void setSystemName(java.lang.String x)

### hasSystemName

    boolean hasSystemName()

### getSystemLocation

    java.lang.String getSystemLocation()
                                       throws AttributeNotSetException

  Indicates the location of the system.

  Throws:
    `AttributeNotSetException`

### setSystemLocation

    void setSystemLocation(java.lang.String x)

### hasSystemLocation

    boolean hasSystemLocation()

### getLicenseType

    int getLicenseType()
                       throws AttributeNotSetException

  Indicates the license type of the base VCS key used by the system. Possible values are: 0 - DEMO 1 - PERMANENT 2 - PERMANENT_NODE_LOCK 3 - DEMO_NODE_LOCK 4 - NFR 5 - DEMO_EXTENSION 6 - NFR_NODE_LOCK 7 - DEMO_EXTENSION_NODE_LOCK

  Throws:
    `AttributeNotSetException`

### setLicenseType

    void setLicenseType(int x)

### hasLicenseType

    boolean hasLicenseType()

### getSystemState

    int getSystemState()
                       throws AttributeNotSetException

  Indicates system states, such as RUNNING, FAULTED, EXITED, etc.

  Throws:
    `AttributeNotSetException`

### setSystemState

    void setSystemState(int x)

### hasSystemState

    boolean hasSystemState()

### getSystemInfo

    java.lang.String getSystemInfo()
                                   throws AttributeNotSetException

  Provides platform-specific information, including the name, version, and release of the operating system, the name of the system on which it is running, and the hardware type.

  Throws:
    `AttributeNotSetException`

### setSystemInfo

    void setSystemInfo(java.lang.String x)

### hasSystemInfo

    boolean hasSystemInfo()

### getServer

    VCSHADServer getServer()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="true"

### setServer

    void setServer(VCSHADServer x)

### hasServer

    boolean hasServer()

### getServiceGroups

    VCSLocalServiceGroup[] getServiceGroups()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BasedOn" reverse="true"

### setServiceGroups

    void setServiceGroups(VCSLocalServiceGroup[] x)

### hasServiceGroups

    boolean hasServiceGroups()

### getCapacity

    int getCapacity()
                    throws AttributeNotSetException

  Value expressing total system load capacity. This value is relative to other systems in the cluster and does not reflect any real value associated with a particular system. For example, the administrator may assign a value of 200 to a 16- processor machine and 100 to an 8-processor machine.

  Throws:
    `AttributeNotSetException`

### setCapacity

    void setCapacity(int x)

### hasCapacity

    boolean hasCapacity()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD